using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace C1FlexCalendarTest
{
    [Serializable]
    // realization of ITaskItem interface
    public class Appointment : C1FlexCalendar.ITaskItem
    {
        private DateTime _start;
        private DateTime _finish;
        private string _task;

        public Appointment()
        {
        }

        public Appointment(DateTime start, DateTime finish, string task)
        {
            _start = start;
            _finish = finish;
            _task = task;
        }

        public DateTime Start
        {
            get { return _start; }
            set { _start = value; }
        }

        public DateTime Finish
        {
            get { return _finish; }
            set { _finish = value; }
        }

        public string Task
        {
            get { return _task; }
            set { _task = value; }
        }
    }

    // collection class used by binding source component
    public class Appointments : BindingList<Appointment>
    {
    }

    [Serializable]
    // placeholder class used for serialization
    public class AppointmentSerializer
    {
        [XmlElement(typeof(Appointment))]
        public ArrayList Elements;
    }
}
